petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerMathematicaOpen

Communicates with Mathemtica using MathLink.

### Synopsis

    PetscErrorCode  PetscViewerMathematicaOpen(MPI_Comm comm, int port, const char machine[], const char mode[], PetscViewer *v)

Collective on comm Many br

### Input Parameters

| comm | - The MPI communicator Many br
| port | - [optional] The port to connect on, or PETSC_DECIDE Many br
| machine | - [optional] The machine to run Mathematica on, or NULL Many br
| mode | - [optional] The connection mode, or NULL Many br

### Output Parameter

viewer -The Mathematica viewer Many br

Many br

### Notes

Most users should employ the following commands to access the Many brMathematica viewers Many br

       PetscViewerMathematicaOpen(MPI_Comm comm, int port, char *machine, char *mode, PetscViewer &viewer)

       MatView(Mat matrix, PetscViewer viewer)

                   or

       PetscViewerMathematicaOpen(MPI_Comm comm, int port, char *machine, char *mode, PetscViewer &viewer)

       VecView(Vec vector, PetscViewer viewer)

### Options Database Keys

| -viewer_math_linkhost <machine> | - The host machine for the kernel Many br
| -viewer_math_linkname <name> | - The full link name for the connection Many br
| -viewer_math_linkport <port> | - The port for the connection Many br
| -viewer_math_mode <mode> | - The mode, e.g. Launch, Connect Many br
| -viewer_math_type <type> | - The plot type, e.g. Triangulation, Vector Many br
| -viewer_math_graphics <output> | - The output type, e.g. Motif, PS, PSFile Many br

### Keywords

PetscViewer, Mathematica, open

### See Also

MatView(), VecView()

Level:intermediate
Location:src/sys/classes/viewer/impls/mathematica/mathematica.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex15.c.html